# Aequitas

Aequitas is a directed fairness testing framework machine learning models. See the paper [Automated Directed Fairness Testing](https://arxiv.org/abs/1807.00468) for more details.

## Background
There are 3 test generation strategies in our suite, namely Aequitas Random, Aequitas Semi-Directed and Aequitas Fully Directed. There are files to evaluate [Fair SVM](https://github.com/mbilalzafar/fair-classification) and Scikit-Learn classifiers trained on the same [dataset](http://archive.ics.uci.edu/ml/datasets/Adult).

# Our Work
## Algorithm Improvement 
* Aequitas now supports non-binary, multi-dimensional sensitive feature.
* Aequitas now supports multiple sensitive features to be in the same data set.

## Phemus
[Phemus](https://pypi.org/project/Phemus/) is a software tool aimed to provide fairness assessment and improvement for machine learning datasets.

## Aequitas Web
[Aequitas Web](https://aequitasweb.herokuapp.com/) is a web interface to Aequitas.

## Archive
Please visit our [archive website](https://yemi33.github.io/Aequitas-Final-Archive-Website/) to learn more about our project.

# Credit
This work is based on the technology developed in the following conference proceeding:

title: Automated directed fairness testing}

author: Udeshi, Sakshi and Arora, Pryanshu and Chattopadhyay, Sudipta

booktitle: Proceedings of the 33rd ACM/IEEE International Conference on Automated Software Engineering

pages: 98--108

year: 2018

Liscened by the original authors




